//
//  NSStringAdditions.h
//  iStrip
//
//  Created by Joar Wingfors on Sun May 05 2002.
//  Copyright (c) 2002 joar.com. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSString (Additions)

// There is a name clash with a "boolValue" method in the Message.framework...
+ (NSString *) iStrip_stringWithBool:(BOOL) isTrue;
- (BOOL) iStrip_boolValue;

// Used to encode strings to be used for url:s
- (NSString *) stringByAddingPercentEscapes;

// Return a formatted string given a byte count.
+ (NSString *) stringWithBytes:(unsigned int) bytes;

+ (NSString *) stringWithFormat:(NSString *) format arguments:(va_list) argList;

+ (NSString *) stringWithHTMLData:(NSData *) htmlData;

- (NSString *) stringByReallyAbbreviatingWithTildeInPath;

- (BOOL) caseInsensitiveHasPrefix:(NSString *) prefix;

@end

@interface NSAttributedString (Additions)

- (NSAttributedString *) truncatedStringForWidth:(float) width withLineBreakMode:(NSLineBreakMode) mode;

@end
