//
//  NSWindowAdditions.h
//  iStrip
//
//  Created by Joar Wingfors on Sat May 17 2003.
//  Copyright (c) 2003 joar.com. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef enum _WindowPosition
{
	WindowPosition_Center,
	WindowPosition_Cascade
} WindowPosition;

@interface NSWindow (Additions)

- (void) saveFrameForKey:(NSString *) key;
- (void) saveTopLeftPointForKey:(NSString *) key;

// Restore the state saved for the given key. If no preference is found for key,
// position the window accordingly with the posFlag provided.
- (void) restoreForKey:(NSString *) key backup:(WindowPosition) posFlag;

- (NSPoint) frameTopLeftPoint;

@end
